### Name: Chloride
### Title: Chloride ion concentrations
### Aliases: Chloride
### Keywords: datasets

### ** Examples

## Fit nonlinear regression model
(fm1 <- nls(conc ~ Asym*(1 - prop*exp(-exp(lrc)*Time)), data = Chloride,
           start = c(Asym = 50, prop = 0.6, lrc = log(0.25)), trace = TRUE))
plotfit(fm1, xlab = "Time (min)", ylab = "Chloride ion concentration (%)")
plot(resid(fm1) ~ fitted(fm1),  # plot shows patterns in the residuals
     xlab = "Least squares fitted values",
     ylab = "Least squares residuals",
     main = "Residuals from least squares fit")
abline(h = 0, lty = 2, lwd = 0)
plot(resid(fm1)[-1], resid(fm1)[-length(resid(fm1))],  # lag plot
     xlab = "Least squares residual",
     ylab = "Lagged least squares residual",
     main = "Lag plot of least squares residuals")
abline(h = 0, lty = 2, lwd = 0)
abline(v = 0, lty = 2, lwd = 0)
## Use conditional linearity in another formulation of the model
(fm2 <- nls(conc ~ cbind(1, exp(-exp(lrc)*Time)), data = Chloride,
           start = c(lrc = log(0.25)), algorithm = "plinear", trace = TRUE))
## Using a self-Starting model in yet another formulation
(fm3 <- nls(conc ~ SSasympOff(Time, Asym, c0, lrc), data = Chloride))



