### Name: Isom
### Title: Isomerization data
### Aliases: Isom
### Keywords: datasets

### ** Examples

str(Isom)
splom(Isom, main = "Isom data")
xyplot(rate ~ hyd, data = Isom, type = c("g", "p"),
     xlab = "Hydrogen partial pressure (psia)",
     ylab = expression(plain("Reaction rate (hr")^{-1}*plain(")")))
xyplot(rate ~ n.pent, data = Isom, type = c("g", "p"),
     xlab = "n-pentane partial pressure (psia)",
     ylab = expression(plain("Reaction rate (hr")^{-1}*plain(")")))
xyplot(rate ~ iso.pen, data = Isom, type = c("g", "p"),
     xlab = "iso-pentane partial pressure (psia)",
     ylab = expression(plain("Reaction rate (hr")^{-1}*plain(")")))
## Note - the model is mis-stated on page 272, x2 and x3 are reversed
fm1 <-
 nls(rate ~ b3*(n.pent - iso.pen/1.632)/(1+b2*hyd+b3*n.pent+b4*iso.pen),
         data = Isom, start = c(b2 = 0.1, b3 = 0.1, b4 = 0.1),
         algorithm = "plinear", trace = TRUE)
summary(fm1)        # compare to Table 2.2, page 56



