### Name: Lubricant
### Title: Viscosity of lubricants
### Aliases: Lubricant
### Keywords: datasets

### ** Examples

str(Lubricant)
tempf <- as.factor(Lubricant$tempC)
levels(tempf) <- paste(c(0.0,25.0,37.8,98.9),"C")
xyplot(viscos ~ pressure, Lubricant, groups = tempf,
     xlab = "Pressure (atm)", type = c("g", "p"),
     ylab = "kinematic viscosity (stokes)",
     scales = list(y = list(log = 2)),
     auto.key = list(space = "top", columns = 4))
rm(tempf)



