### Name: O.xylene
### Title: O-xylene reaction data
### Aliases: O.xylene
### Keywords: datasets

### ** Examples

str(O.xylene)
tempf <- with(O.xylene, ordered(temp))
levels(tempf) <- paste(levels(tempf), "K")
Oxygen <- with(O.xylene, equal.count(oxygen))
O.xyl <- with(O.xylene, equal.count(o.xyl))
xyplot(rate ~ o.xyl | Oxygen * tempf, O.xylene,
       type = c("g", "p"), aspect = 'xy',
       xlab = "O.xylene partial pressure",
       ylab = "Reaction rate")
xyplot(rate ~ o.xyl | Oxygen, O.xylene, groups = tempf,
       type = c("g", "p"), aspect = 2.5,
       xlab = "O.xylene partial pressure",
       ylab = "Reaction rate",
       auto.key = list(space = "right"))
xyplot(rate ~ oxygen | O.xyl, O.xylene, groups = tempf,
       type = c("g", "p"), aspect = 2.5,
       xlab = "Oxygen partial pressure",
       ylab = "Reaction rate",
       auto.key = list(space = "right"))



